Saya membuat aplikasi Android dan saya ingin memasukkan modul vokaturi. Saya mengubah file vokaturi.gradle dengan "com.android.library" dan saya menyertakan modul ":vokaturi" di file settings.gradle dan di modul aplikasi utama saya menambahkan implementation project(':vokaturi') Ketika saya mencoba menyinkronkan modul aplikasi utama saya mendapatkan kesalahan

Could not find :OpenVokaturi-Android:.
Required by:
    project :app > project :vokaturi
Search in build.gradle files  

Seperti inilah tampilan file app.gradle utama saya.

    apply plugin: 'com.android.application'
    android {
        compileSdkVersion 28
    defaultConfig {
        applicationId "com.example.afinity"
        minSdkVersion 21
        targetSdkVersion 28
        versionCode 1
        versionName "1.0"
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    }
    dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    implementation 'com.android.support:appcompat-v7:28.0.0'
    implementation 'com.android.support.constraint:constraint-layout:1.1.3'
    testImplementation 'junit:junit:4.12'
    androidTestImplementation 'com.android.support.test:runner:1.0.2'
    androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.2'

    implementation project(':vokaturi')
    }

Dan seperti inilah tampilan file vokaturi.gradle

apply plugin: 'com.android.library'

android {
    compileSdkVersion 28
    defaultConfig {

        minSdkVersion 21
        targetSdkVersion 28
        versionCode 1
        versionName "1.0"
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}
repositories {
    flatDir {
        dirs 'libs/aars'
    }
}
dependencies {
    implementation(name: 'OpenVokaturi-Android', ext: 'aar')
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    implementation 'com.android.support:appcompat-v7:28.0.0'
    testImplementation 'junit:junit:4.12'
    androidTestImplementation 'com.android.support.test:runner:1.0.1'
    androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.1'
}

Saya tidak tahu apa yang saya lakukan salah ... Saya baru di android, terima kasih semua atas bantuannya

2
Mary 30 Maret 2019, 13:20

1 menjawab

Jawaban Terbaik

Nama default file mungkin - OpenVokaturi-3-0-android.aar dan bukan OpenVokaturi-Android itulah sebabnya Anda mendapatkan kesalahan itu. Juga ini -

implementation(name: 'OpenVokaturi-3-0-android.aar', ext: 'aar')

Seharusnya tidak ada di modul vokaturi Anda melainkan di file app.gradle Anda. Tambahkan baris itu ke file gradle aplikasi Anda lalu sertakan vokaturi secara langsung sebagai file aar.

2
anirudh 30 Maret 2019, 15:33